import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useSecurityLogs() {
  return useQuery({
    queryKey: ['user', 'security-logs'],
    queryFn: () => UserService.userListSecurityLogs({ limit: 100, offset: 0 }).then((r) => r.data),
    staleTime: 1000 * 60 * 2,
  });
}
